Package org.apache.tomcat.util.net

## Class SocketWrapperBase.VectoredIOCompletionHandler<A>

- java.lang.Object
- - org.apache.tomcat.util.net.SocketWrapperBase.VectoredIOCompletionHandler<A>

All Implemented Interfaces:
  `java.nio.channels.CompletionHandler<java.lang.Long,​SocketWrapperBase.OperationState<A>>`

Enclosing class:
  SocketWrapperBase<E>

    protected class SocketWrapperBase.VectoredIOCompletionHandler<A>
    extends java.lang.Object
    implements java.nio.channels.CompletionHandler<java.lang.Long,​SocketWrapperBase.OperationState<A>>

Completion handler for vectored operations. This will check the completion of the operation, then either continue or call the user provided completion handler.

### Constructor Summary

Constructors
`protected` `VectoredIOCompletionHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `completed​(java.lang.Long nBytes, SocketWrapperBase.OperationState<A> state)`
`void` `failed​(java.lang.Throwable exc, SocketWrapperBase.OperationState<A> state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VectoredIOCompletionHandler

    protected VectoredIOCompletionHandler()

### Method Detail

#### completed

    public void completed​(java.lang.Long nBytes,
                          SocketWrapperBase.OperationState<A> state)

Specified by:
  `completed` in interface `java.nio.channels.CompletionHandler<java.lang.Long,​SocketWrapperBase.OperationState<A>>`

#### failed

    public void failed​(java.lang.Throwable exc,
                       SocketWrapperBase.OperationState<A> state)

Specified by:
  `failed` in interface `java.nio.channels.CompletionHandler<java.lang.Long,​SocketWrapperBase.OperationState<A>>`